[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'SQLDB' (#fcl)

# TSQLConnection.Role

Role in which the user is connecting to the database

## Declaration

Source position: sqldb.pp line 304

`published property TSQLConnection.Role : string read FRole write FRole;`

## Description

Role is used to specify the user's role when connecting to the database user. Not all connection types support roles, for those that do not, this property is ignored.

This property must be set prior to activating the connection. Changing it while the connection is active has no effect.

## See also

TSQLConnection.Password |  | Password used when authenticating on the database server
TSQLConnection.UserName |  | The username for authentication on the database server
TSQLConnection.DatabaseName |  | The name of the database to which connection is required.
TSQLConnection.Hostname |  | The name of the host computer where the database resides